pfodParser 5.0.1 The pfodParser library is handles commands sent from the Android pfodApp, pfodApp supports WiFi, BLE, Bluetooth and SMS connections

Classes | Public Member Functions | List of all members
pfodSMS_SIM900 Class Reference

`#include <pfodSMS_SIM900.h>`

Inherits pfod_Base.

## Public Member Functions
| pfodSMS_SIM900 ()
void | init (Stream *_gprs, int powerOnOffPin)
void | setDebugStream (Stream *out)
unsigned long | getDefaultTimeOut ()
Print * | getRawDataOutput ()
int | available (void)
int | peek (void)
int | read (void)
void | flush (void)
size_t | write (uint8_t)
size_t | writeRawData (uint8_t c)
Stream * | getPfodAppStream ()
void | _closeCurrentConnection ()
Public Member Functions inherited from pfod_Base
virtual bool | connect ()
virtual void | setDebugStream (Print *out)
virtual void | _setLinkTimeout (unsigned long _linkTimeout_mS)

## Detailed Description

Definition at line 31 of file pfodSMS_SIM900.h.

## Constructor & Destructor Documentation

## ◆ pfodSMS_SIM900()

pfodSMS_SIM900::pfodSMS_SIM900 | ( |  | ) |

## Member Function Documentation

## ◆ _closeCurrentConnection()

void pfodSMS_SIM900::_closeCurrentConnection | ( |  | ) |
| virtual

Implements pfod_Base.

## ◆ available()

int pfodSMS_SIM900::available | ( | void |  | ) |
| virtual

Reimplemented from pfod_Base.

## ◆ flush()

void pfodSMS_SIM900::flush | ( | void |  | ) |
| virtual

Reimplemented from pfod_Base.

## ◆ getDefaultTimeOut()

unsigned long pfodSMS_SIM900::getDefaultTimeOut | ( |  | ) |
| virtual

Implements pfod_Base.

## ◆ getPfodAppStream()

Stream* pfodSMS_SIM900::getPfodAppStream | ( |  | ) |

## ◆ getRawDataOutput()

Print* pfodSMS_SIM900::getRawDataOutput | ( |  | ) |
| virtual

Implements pfod_Base.

## ◆ init()

void pfodSMS_SIM900::init | ( | Stream * | _gprs,
|  | int | powerOnOffPin
| ) |  |

## ◆ peek()

int pfodSMS_SIM900::peek | ( | void |  | ) |
| virtual

Reimplemented from pfod_Base.

## ◆ read()

int pfodSMS_SIM900::read | ( | void |  | ) |
| virtual

Implements pfod_Base.

## ◆ setDebugStream()

void pfodSMS_SIM900::setDebugStream | ( | Stream * | out | ) |

## ◆ write()

size_t pfodSMS_SIM900::write | ( | uint8_t |  | ) |
| virtual

Reimplemented from pfod_Base.

## ◆ writeRawData()

size_t pfodSMS_SIM900::writeRawData | ( | uint8_t | c | ) |
| virtual

Implements pfod_Base.